главная|main page

состояние|status

блог|blog

файлы|files

программы|software

summaryrefslogtreecommitdiff
path: root/bb.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bb.sh')
-rwxr-xr-xbb.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/bb.sh b/bb.sh
index 0552f15..921239d 100755
--- a/bb.sh
+++ b/bb.sh
@@ -361,6 +361,11 @@ edit() {
filename="$1"
else
if [[ "${1##*.}" == "md" ]]; then
+ test_markdown
+ if [[ "$?" -ne 0 ]]; then
+ echo "Markdown is not working, please edit HTML file directly."
+ exit
+ fi
# editing markdown file
$EDITOR "$1"
TMPFILE="$(markdown "$1")"